<?php

namespace Drupal\Tests\entity_extender_group\Kernel;

use Drupal\entity_extender_group\Plugin\EntityTypeExtender\GroupEntityTypeExtender;
use Drupal\Tests\entity_extender\Kernel\EntityExtenderKernelTest;

/**
 * Tests module API.
 *
 * @group entity_extender
 */
class EntityExtenderGroupKernelTest extends EntityExtenderKernelTest {

  /**
   * {@inheritdoc}
   */
  protected const ENTITY_TYPE_EXTENDER = GroupEntityTypeExtender::class;

  /**
   * {@inheritdoc}
   */
  protected const ENTITY_EXTENDER_BUNDLE = 'test_group_type';

  /**
   * {@inheritdoc}
   */
  protected const ENTITY_CREATE_DATA = [
    'uid' => 1,
    'type' => self::ENTITY_EXTENDER_BUNDLE,
    'label' => 'Example group',
  ];

  /**
   * {@inheritdoc}
   */
  protected const ENTITY_BUNDLE_CREATE_DATA = [
    'id' => self::ENTITY_EXTENDER_BUNDLE,
    'label' => 'Test group type',
  ];

}
